## ksanecore 22.12.0

=== debian/changelog ===
ksanecore (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 23:47:51 +0100

ksanecore (22.11.90-1) unstable; urgency=medium

  [ Rik Mills ]
  * Initial release to Ubuntu (Closes: #1025277)

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Refresh copyright information.
  * Improve watch file.
  * Improve descriptions.
  * Make upstream signing key minimal.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 02 Dec 2022 22:03:23 +0100
