=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libsane-dev,
               libx11-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/libraries/ksanecore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
Rules-Requires-Root: no

Package: libksanecore-dev
Section: libdevel
Architecture: any
Depends: libksanecore1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library providing logic to interface scanners - headers
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the scanner library development files.

Package: libksanecore1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library providing logic to interface scanners
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the shared library.
