## ksanecore 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 cmake_minimum_required(VERSION 3.16.0)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KSaneCore VERSION ${RELEASE_SERVICE_VERSION})
@@ -28,15 +28,24 @@
 include(ECMInstallIcons)
 include(CMakePackageConfigHelpers)
 include(CheckFunctionExists)
-include(GenerateExportHeader)
+include(ECMGenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
+include(ECMDeprecationSettings)
+if (QT_MAJOR_VERSION STREQUAL "6")
+    set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
+endif()
 
+set(ksanecore_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/ksanecore_version.h")
 ecm_setup_version(
     ${RELEASE_SERVICE_VERSION}
     VARIABLE_PREFIX KSANECORE
-    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
+    VERSION_HEADER "${ksanecore_version_header}"
     PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KSaneCoreConfigVersion.cmake"
     SOVERSION 1
 )
@@ -46,13 +55,17 @@
 # Required Qt5 components to build this framework
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED Core Gui)
 # Required KF5 frameworks
-find_package(KF5I18n ${KF5_VERSION} REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}I18n ${KF5_VERSION} REQUIRED)
 
 # Check if sane API is available.
 find_package(Sane REQUIRED)
 message(STATUS "SANE_FOUND:       ${SANE_FOUND}")
 message(STATUS "SANE_INCLUDE_DIR: ${SANE_INCLUDE_DIR}")
 message(STATUS "SANE_LIBRARY:     ${SANE_LIBRARY}")
+
+ecm_set_disabled_deprecation_versions(QT 6.4
+    KF 5.101
+)
 
 add_subdirectory(src)
 if (BUILD_TESTING)
@@ -75,7 +88,7 @@
 )
 
 install(FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/ksanecore_version.h"
+    "${ksanecore_version_header}"
     DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KSaneCore"
     COMPONENT Devel
 )
