=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ksanecore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16.0~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -13,10 +14,10 @@
                libx11-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/libraries/ksanecore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksanecore
 Rules-Requires-Root: no
 
 Package: libksanecore-dev
@@ -33,7 +34,7 @@
 
 Package: libksanecore1
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: library providing logic to interface scanners
  KSaneCore is a library that provides a Qt interface for the SANE library for
  scanner hardware.
