## ksanecore 24.08.2

=== debian/changelog ===
ksanecore (24.08.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental. Remaining changes:
    - VCS fields.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 17 Oct 2024 11:41:39 -0500

ksanecore (24.08.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add Breaks/Replaces against libksanecore1 which ships the same
    localization files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 22:33:23 +0200

ksanecore (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps and deps with info from cmake.
  * Specify building for QT6.
  * Rename libksanecore1 to libksanecore6-1.
  * Update list of installed files from build system.
  * Generate new libksanecore6-1.symbols.
  * Use dh-sequence-kf6.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Update copyright info.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 15 Oct 2024 18:21:26 +0200

ksanecore (23.08.1-2) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 30 Sep 2023 10:38:26 -0400
