## ksanecore 24.12.0

=== debian/changelog ===
ksanecore (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Drop obsolete dependencies.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Dec 2024 11:00:42 +0100
