=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libsane-dev,
               qt6-base-dev (>= 6.4.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/ksanecore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
Rules-Requires-Root: no

Package: libksanecore-dev
Section: libdevel
Architecture: any
Depends: libksanecore6-1 (= ${binary:Version}),
         qt6-base-dev (>= 6.4.0~),
         ${misc:Depends},
Description: library providing logic to interface scanners - headers
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the scanner library development files.

Package: libksanecore6-1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libksanecore1,
Replaces: libksanecore1,
Description: library providing logic to interface scanners
 KSaneCore is a library that provides a Qt interface for the SANE library for
 scanner hardware.
 .
 This package contains the shared library.
