=== debian/changelog ===
ksanecore (25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 21:45:53 +0200

ksanecore (25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 25.03.90.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 23:42:44 +0200
