=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.16.0~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libsane-dev,
                qt6-base-dev (>= 6.4.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/libraries/ksanecore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksanecore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksanecore.git
