## ksanecore 25.04.3

=== debian/changelog ===
ksanecore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:51:23 +0100

ksanecore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:55:18 +0100

ksanecore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:13:42 +0100

ksanecore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:57:48 +0100
