## ksanecore 25.08.1+p24.04+vstable+git20251003.0302

=== debian/changelog ===
ksanecore (25.08.1+p24.04+vstable+git20251003.0302-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:02:19 +0000
