## ksanecore 25.08.2+p24.04+vstable+git20251023.0113

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vstable+git20251023.0113-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 23 Oct 2025 01:13:15 +0000
