## ksanecore 25.08.2+p24.04+vunstable+git20251020.0234

=== debian/changelog ===
ksanecore (25.08.2+p24.04+vunstable+git20251020.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:34:02 +0000
