=== debian/control ===
Source: ksanecore
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               libsane-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/libraries/ksanecore
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/ksanecore.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/ksanecore
Maintainer: Neon CI <neon@kde.org>

Package: libksanecore
Architecture: any
Provides: libksanecore6-1
Replaces: libksanecore1 (<< 24), libksanecore6-1
Breaks: libksanecore1 (<< 24)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library providing logic to interface scanners
 Library providing logic to interface scanners - shared library

Package: libksanecore-dev
Section: libdevel
Architecture: any
Provides: libksanecore6-dev
Replaces: libksanecore6-dev
Depends: libksanecore (= ${binary:Version}), qt6-base-dev, ${misc:Depends}
Description: Library providing logic to interface scanners - headers
 Library providing logic to interface scanners.
 .
 This package contains the scanner library development files.

Package: libksanecore6-1
Architecture: all
Depends: libksanecore, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libksanecore6-dev
Architecture: all
Depends: libksanecore-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
