## ksanecore 25.08.3+p24.04+vstable+git20251204.1003

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vstable+git20251204.1003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 10:03:36 +0000

ksanecore (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:54 +1000
