## ksanecore 25.08.3+p24.04+vunstable+git20251130.0059

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vunstable+git20251130.0059-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 30 Nov 2025 00:59:35 +0000
