## ksanecore 25.08.3+p24.04+vunstable+git20251203.0046

=== debian/changelog ===
ksanecore (25.08.3+p24.04+vunstable+git20251203.0046-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Dec 2025 00:46:23 +0000
