## ksanecore 25.12.0+p24.04+vstable+git20260105.0818

=== debian/changelog ===
ksanecore (25.12.0+p24.04+vstable+git20260105.0818-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 08:18:48 +0000

ksanecore (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:29:41 +1000
