## ksanecore 25.12.1+p24.04+vstable+git20260122.1440

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vstable+git20260122.1440-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 14:40:31 +0000

ksanecore (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:06 +1000
