## ksanecore 25.12.1+p24.04+vstable+git20260131.1320

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vstable+git20260131.1320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 13:20:56 +0000
