## ksanecore 25.12.1+p24.04+vunstable+git20260106.1421

=== debian/changelog ===
ksanecore (25.12.1+p24.04+vunstable+git20260106.1421-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 06 Jan 2026 14:21:04 +0000
